### A free/open-source library for quantitative finance

Classes
ql/experimental/compoundoption/analyticcompoundoptionengine.hpp File Reference

Analytic compound option engines. More...

`#include <ql/experimental/compoundoption/compoundoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/math/distributions/bivariatenormaldistribution.hpp>`
`#include <ql/math/solvers1d/brent.hpp>`
`#include <ql/pricingengines/blackcalculator.hpp>`
Include dependency graph for analyticcompoundoptionengine.hpp:

## Classes

class | AnalyticCompoundOptionEngine
| Pricing engine for compound options using analytical formulae. More...

## Detailed Description

Analytic compound option engines.